Bug 832171 - [abrt] simple-scan-3.4.1-1.fc17: libusb_submit_transfer: Process /usr/bin/simple-scan was killed by signal 11 (SIGSEGV)
[abrt] simple-scan-3.4.1-1.fc17: libusb_submit_transfer: Process /usr/bin/sim...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: simple-scan (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rahul Sundaram
Fedora Extras Quality Assurance
abrt_hash:81271fe20f23396c4c0e04513a8...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-14 14:07 EDT by Nathan Samson
Modified: 2013-08-01 00:47 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 00:47:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dso_list (18.00 KB, text/plain)
2012-06-14 14:07 EDT, Nathan Samson
no flags Details
File: build_ids (6.77 KB, text/plain)
2012-06-14 14:07 EDT, Nathan Samson
no flags Details
File: backtrace (46.03 KB, text/plain)
2012-06-14 14:07 EDT, Nathan Samson
no flags Details
File: maps (73.87 KB, text/plain)
2012-06-14 14:07 EDT, Nathan Samson
no flags Details

  None (edit)
Description Nathan Samson 2012-06-14 14:07:27 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        simple-scan
crash_function: libusb_submit_transfer
executable:     /usr/bin/simple-scan
kernel:         3.4.0-1.fc17.x86_64
pid:            6855
pwd:            /home/nathan
time:           do 14 jun 2012 20:02:13 CEST
uid:            1000
username:       nathan

backtrace:      Text file, 47137 bytes
build_ids:      Text file, 6929 bytes
dso_list:       Text file, 18431 bytes
maps:           Text file, 75645 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/nathan/2

core_backtrace:
:6be87969bc38cd5d7b82ce0feb9b78a31dbccaee 0x51bf libusb_submit_transfer libusb-1.0.so.0 -
:6be87969bc38cd5d7b82ce0feb9b78a31dbccaee 0x69c8 - libusb-1.0.so.0 -
:6be87969bc38cd5d7b82ce0feb9b78a31dbccaee 0x6d44 libusb_bulk_transfer libusb-1.0.so.0 -
:3934b7aeda6f9a2b409dfb07de9a0900cd6e5346 0x1a28 - libusb-0.1.so.4 -
:033415767a34787dc756df8e06928b818d3996cf 0xa897 sanei_usb_write_bulk libsane.so.1 -
:1aa1acc1433995804efdd65ca77020065c621fe3 0x190ab sanei_rts88xx_write_reg libsane-rts8891.so.1 -
:1aa1acc1433995804efdd65ca77020065c621fe3 0xc359 - libsane-rts8891.so.1 -
:1aa1acc1433995804efdd65ca77020065c621fe3 0x189a8 sane_rts8891_close libsane-rts8891.so.1 -
:033415767a34787dc756df8e06928b818d3996cf 0x18544 sane_dll_close libsane.so.1 -
:7b840a4c30e81986d48f0913e3073021157c2fe0 0x24302 - [exe] -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x6a345 - libglib-2.0.so.0 -
:73777e822e00ca152ffca281ab0ace0cb498ec48 0x7d14 start_thread libpthread.so.0 -
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65 0xf199d clone libc.so.6 -

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=psi
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:GNOME_KEYRING_CONTROL=/run/user/nathan/keyring-lrqEZO
:QT_GRAPHICSSYSTEM_CHECKED=1
:IMSETTINGS_MODULE=none
:USER=nathan
:AWS_CREDENTIAL_FILE=/home/nathan/.aws.credential
:USERNAME=nathan
:MAIL=/var/spool/mail/nathan
:PATH=/usr/local/bin:/usr/bin:/bin:/home/nathan/Rommel/AutoScaling-1.0.39.0//bin:/usr/local/sbin:/usr/sbin:/sbin:/home/nathan/Rommel/AutoScaling-1.0.39.0//bin:/home/nathan/bin:/home/nathan/Rommel/AutoScaling-1.0.39.0//bin:/home/nathan/bin:/home/nathan/.local/bin:/home/nathan/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/nathan
:JAVA_HOME=/usr/lib/jvm/java-1.6.0/
:XMODIFIERS=@im=none
:EDITOR=nano
:GNOME_KEYRING_PID=938
:LANG=en_US.utf8
:MODULEPATH=/usr/share/Modules/modulefiles:/etc/modulefiles
:LOADEDMODULES=
:FG_SCENERY=/home/nathan/flightgear-scenery:/usr/local/share/flightgear/Scenery
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/nathan
:SHLVL=1
:AWS_AUTO_SCALING_HOME=/home/nathan/Rommel/AutoScaling-1.0.39.0/
:LOGNAME=nathan
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-v0e5aNG69P,guid=4e928c0b936ad54bfa89dfdc00000029
:MODULESHOME=/usr/share/Modules
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/nathan
:DISPLAY=:0
:XAUTHORITY=/var/run/gdm/auth-for-nathan-1x4kYD/database
:'module=() {  eval `/usr/bin/modulecmd bash $*`\n}'
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/947,unix/unix:/tmp/.ICE-unix/947
:GPG_AGENT_INFO=/run/user/nathan/keyring-lrqEZO/gpg:0:1
:SSH_AUTH_SOCK=/run/user/nathan/keyring-lrqEZO/ssh
:LC_TIME=nl_BE.utf8
:LC_NUMERIC=nl_BE.utf8
:LC_MONETARY=nl_BE.utf8
:LC_MEASUREMENT=nl_BE.utf8
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/simple-scan.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=6855
:DESKTOP_STARTUP_ID=gnome-shell-1201-psi-simple-scan-10_TIME5611160

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 30929                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       30929                30929                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:1:/home/nathan/.xsession-errors
:2:/home/nathan/.xsession-errors
:3:socket:[273465]
:4:anon_inode:[eventfd]
:5:socket:[268151]
:6:/home/nathan/.cache/simple-scan/simple-scan.log
:7:anon_inode:[eventfd]
:8:socket:[273505]
:9:socket:[268152]
:10:anon_inode:[eventfd]
:11:anon_inode:[eventfd]
:12:pipe:[273507]
:13:pipe:[273507]
:14:anon_inode:[timerfd]
:15:socket:[272828]
:16:anon_inode:inotify
:17:/dev/urandom
:18:socket:[272829]
:19:socket:[268179]
:20:socket:[275125]
:21:socket:[268456]
:22:anon_inode:[eventfd]
:23:/dev/bus/usb/003/003 (deleted)
:24:socket:[300259]
:25:socket:[305233]
:26:socket:[305141]

var_log_messages:
:Jun 14 20:02:13 psi kernel: [ 5959.009498] simple-scan[6859] general protection ip:3864e051bf sp:7fec85184910 error:0 in libusb-1.0.so.0.1.0[3864e00000+e000]
:Jun 14 20:02:14 psi abrt[6992]: Saved core dump of pid 6855 (/usr/bin/simple-scan) to /var/spool/abrt/ccpp-2012-06-14-20:02:13-6855 (126410752 bytes)
Comment 1 Nathan Samson 2012-06-14 14:07:31 EDT
Created attachment 591895 [details]
File: dso_list
Comment 2 Nathan Samson 2012-06-14 14:07:33 EDT
Created attachment 591896 [details]
File: build_ids
Comment 3 Nathan Samson 2012-06-14 14:07:35 EDT
Created attachment 591897 [details]
File: backtrace
Comment 4 Nathan Samson 2012-06-14 14:07:38 EDT
Created attachment 591898 [details]
File: maps
Comment 5 Fedora End Of Life 2013-07-03 20:46:07 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2013-08-01 00:47:57 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.